Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.codegen.server
Class JavaSourceWriter

    java.lang.Object
      com.google.gwt.codegen.server.SourceWriterBase
          com.google.gwt.codegen.server.JavaSourceWriter

All Implemented Interfaces:
  SourceWriter

    public class JavaSourceWriter

extends SourceWriterBase

A mechanism to write Java source files.

See Also:
  `

  Experimental API - subject to change.

  `

Constructor Summary
`JavaSourceWriter(AbortablePrintWriter printWriter, java.lang.String targetPackageName, java.lang.Iterable<java.lang.String> imports, boolean isClass, java.lang.String classJavaDocComment, java.lang.Iterable<java.lang.String> annotationDeclarations, java.lang.String targetClassShortName, java.lang.String superClassName, java.lang.Iterable<java.lang.String> interfaceNames)`

Method Summary
`void` | `abort()` Abort the source file being generated.
`void` | `close()` Close the source file being generated.
`protected void` | `writeString(java.lang.String s)` Write a string to the underlying output.

Methods inherited from class com.google.gwt.codegen.server.SourceWriterBase
`beginJavaDocComment, endJavaDocComment, indent, indentln, indentln, outdent, print, print, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaSourceWriter

    public JavaSourceWriter(AbortablePrintWriter printWriter,
                            java.lang.String targetPackageName,
                            java.lang.Iterable<java.lang.String> imports,
                            boolean isClass,
                            java.lang.String classJavaDocComment,
                            java.lang.Iterable<java.lang.String> annotationDeclarations,
                            java.lang.String targetClassShortName,
                            java.lang.String superClassName,
                            java.lang.Iterable<java.lang.String> interfaceNames)

Parameters:
  `printWriter` -
  `targetPackageName` -
  `imports` -
  `isClass` -
  `classJavaDocComment` -
  `annotationDeclarations` -
  `targetClassShortName` -
  `superClassName` -
  `interfaceNames` -

Method Detail

### abort

    public void abort()

  Description copied from interface: `SourceWriter`
  Abort the source file being generated.

  Specified by:
    `abort` in interface `SourceWriter`
  Specified by:
    `abort` in class `SourceWriterBase`

### close

    public void close()

  Description copied from interface: `SourceWriter`
  Close the source file being generated.

  Specified by:
    `close` in interface `SourceWriter`
  Overrides:
    `close` in class `SourceWriterBase`

### writeString

    protected void writeString(java.lang.String s)

  Description copied from class: `SourceWriterBase`
  Write a string to the underlying output.

  Specified by:
    `writeString` in class `SourceWriterBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD